### Method

# Gcr Certificate get_subject_cn

#### Declaration [src]

    gchar*
    gcr_certificate_get_subject_cn (
      GcrCertificate* self
    )

#### Description [src]

Get the common name of the subject of this certificate.

The string returned should be freed by the caller when no longer required.

#### Return value

Returns: | `gchar*`
| The allocated subject CN, or `NULL` if no subject CN present.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.